# Class WindowInstanceService

#### Implements

- OnDestroy

- Defined in packages/angular/window-system/src/lib/window-instance.service.ts:16

#####
Index

### Constructors

constructor

### Properties

_attachedLoadingSubscription
loading$

### Methods

attachLoading
ngOnDestroy

## Constructors

### constructor

- new WindowInstanceService(): WindowInstanceService

- #### Returns WindowInstanceService

## Properties

### `Private` `Readonly` _attachedLoadingSubscription

_attachedLoadingSubscription: Subscription = ...

- Defined in packages/angular/window-system/src/lib/window-instance.service.ts:20

### `Readonly` loading$

loading$: ToggleSubject = ...

- Defined in packages/angular/window-system/src/lib/window-instance.service.ts:18

## Methods

### attachLoading

- attachLoading(loading$): void

- #### Parameters

  - loading$: Observable<any>

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-instance.service.ts:22

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/window-system/src/lib/window-instance.service.ts:28